Subject: Section 4 No. 9,10 Failed was occurred by IPv6 Ready Logo Conformance Test

From: Yuki Machida <[email-masked]>
Date: Fri, 1 Apr 2016 16:31:16 +0900

Hi all,

I tested 4.6-rc1 by IPv6 Ready Logo Core Conformance Test.
4.6-rc1 has some FAILs in Section 4 (RFC 1981: Path MTU Discovery for IP version 6).
I conformed that it was PASSed in 3.14.28 and it was FAILed in 4.1.17.
I will find a patch between 3.14 and 4.1.

IPv6 Ready Logo
https://www.ipv6ready.org/
TAHI Project
http://www.tahi.org/

I ran the IPv6 Ready Logo Core Conformance Test on Intel D510MO (Atom D510).
It is using userland build with yocto project.

Test Environment
Test Specification          : 4.0.6
Tool Version                : REL_3_3_2
Test Program Version        : V6LC_5_0_0
Target Device               : Intel D510MO (Atom D510)

List of FAILs

Section 4: RFC 1981 - Path MTU Discovery for IPv6
- Test v6LC.4.1.6: Receiving MTU Below IPv6 Minimum Link MTU
  - No. 9 Part A: MTU equal to 56
  - No.10 Part B: MTU equal to 1279

Regards,
Yuki Machida